using System.ComponentModel.DataAnnotations;

namespace Siger.Middlelayer.ToolRepository.Request
{
    public class RequestToolLifeReport
    {
        public string toolid { get; set; }

        public string tooltype { get; set; }

        [Required(ErrorMessage = "StartTimeNotNull")]
        public string starttime { get; set; }

        [Required(ErrorMessage = "EndTimeNotNull")]
        public string endtime { get; set; }

        [Required(ErrorMessage = "XORYNotNull")]
        public string x { get; set; }

        [Required(ErrorMessage = "XORYNotNull")]
        public string y { get; set; }

        [Required(ErrorMessage = "SectionIDNotNull")]
        public int sectionid { get; set; }
    }

    public class RequestToolList
    {
        public string section { get; set; }
        public string tooltype { get; set; }
        public string toolfilter { get; set; }
        public string brand { get; set; }
        public string count { get; set; }
    }
}
